Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.chat
Class NormalRoom

    java.lang.Object
      |
      +--org.jbrain.qlink.chat.AbstractRoom
            |
            +--org.jbrain.qlink.chat.NormalRoom

All Implemented Interfaces:
  Room

public class NormalRoom
extends AbstractRoom

Field Summary

Fields inherited from class org.jbrain.qlink.chat.AbstractRoom
`_room, _user`

Constructor Summary
`NormalRoom(QRoom room, QSeat user)`

Method Summary
`Game` | `createGame(int id, java.lang.String name, java.lang.String type, boolean systemPickOrder)`
`QSeat[]` | `getExtSeatInfoList()`
`java.lang.String` | `getInfo()`
`Game` | `getPendingGame()`
`QSeat[]` | `getSeatInfoList()`
`void` | `leave()`
`void` | `say(java.lang.String text)`
`void` | `say(java.lang.String[] text)`

Methods inherited from class org.jbrain.qlink.chat.AbstractRoom
`addEventListener, changeUserName, getGameInfoList, getName, getPopulation, getSeatInfo, isPublicRoom, observeGame, processChatEvent, processEvent, processJoinEvent, processQuestionStateEvent, processSystemMessageEvent, removeEventListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalRoom

    public NormalRoom(QRoom room,
                      QSeat user)

Parameters:
  `room` -
  `user` -

Method Detail

### say

    public void say(java.lang.String text)

  Specified by:
    `say` in interface `Room`
  Specified by:
    `say` in class `AbstractRoom`

### leave

    public void leave()

  Specified by:
    `leave` in interface `Room`
  Overrides:
    `leave` in class `AbstractRoom`

### say

    public void say(java.lang.String[] text)

  Specified by:
    `say` in interface `Room`
  Specified by:
    `say` in class `AbstractRoom`

### getSeatInfoList

    public QSeat[] getSeatInfoList()

  Returns:

### createGame

    public Game createGame(int id,
                           java.lang.String name,
                           java.lang.String type,
                           boolean systemPickOrder)

### getPendingGame

    public Game getPendingGame()

### getInfo

    public java.lang.String getInfo()

### getExtSeatInfoList

    public QSeat[] getExtSeatInfoList()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD